
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.AbstractMenuModelBuilder;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Named(AnzahlWahlberechtigteSearchMenu.COMPONENT_NAME)
public class AnzahlWahlberechtigteSearchMenu extends AbstractMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "anzahlWahlberechtigteSearchMenu";

  @Inject
  private transient AnzahlWahlberechtigteDeleteMenuItemEntry anzahlWahlberechtigteDeleteMenuItemEntry;

  public AnzahlWahlberechtigteSearchMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(anzahlWahlberechtigteDeleteMenuItemEntry);

    return result;
  }
}
